# Class SmilesMeasure

java.lang.Object
org.jmol.smiles.SmilesMeasure

public class SmilesMeasure extends Object

## Method Summary

Modifier and Type
Method
Description
`static float`
`setTorsionData(T3 pt1a, T3 pt1, T3 pt2, T3 pt2a, org.jmol.smiles.VTemp v, boolean withDihedral)`
calculate temporary points
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### setTorsionData

public static float setTorsionData(T3 pt1a, T3 pt1, T3 pt2, T3 pt2a, org.jmol.smiles.VTemp v, boolean withDihedral)
calculate temporary points

Parameters:
  `pt1a` -
  `pt1` -
  `pt2` -
  `pt2a` -
  `v` -
  `withDihedral` -
Returns:
  dihedral or 0

### toString

public String toString()

Overrides:
  `toString` in class `Object`